global:
    assets_path: assets/

plugins:
  - module: Subscription::Config
    config:
      feed:
        - url: http://www.nicovideo.jp/mylist/0000000/0000000?rss=atom

  - module: Filter::FetchNicoVideo
    rule:
      - module: RecentN
        count: 20
      - expression: $args->{entry}->{date} = undef; 1
      - module: Deduped
        engine: DB_File
        path: /Users/UserName/Desktop/plagger/deduped.db
    config:
      mail: ==id==
      password: ==password==
      id_as_filename: 1
      dir: /Users/UserName/Sites/nicovideo

  - module: Filter::FFmpeg
    config:
      dir: /Users/UserName/Sites/nicovideo
      ext: MP4
      command: /Users/UserName/Desktop/plagger/ffmpeg_SVN-r8638u
      encoding: utf8
      option_string: '-y -threads 4 -s <size> -r 29.97 -vcodec h264 -g 250 -aspect <aspect> -b 600 -level 13 -loop 1 -sc_threshold 40 -partp4x4 1 -rc_eq blurCplx^(1-qComp) -refs 3 -maxrate 768 -async 50 -acodec aac -ar 44100 -ac 2 -ab 128'

  - module: Filter::RewriteEnclosureURL
    config:
      rewrite:
        - local: /Users/UserName/Sites/nicovideo
          url: http://localhost/~UserName/nicovideo

  - module: Publish::Feed
    config:
      dir: /Users/UserName/Sites/nicovideo
      filename: nicovideo.xml
      format: RSS
